### Method

# Gtk BoolFilter set_expression

#### Declaration [src]

    void
    gtk_bool_filter_set_expression (
      GtkBoolFilter* self,
      GtkExpression* expression
    )

#### Description [src]

Sets the expression that the filter uses to check if items should be filtered.

The expression must have a value type of `G_TYPE_BOOLEAN`.

Sets property | `Gtk.BoolFilter:expression`

#### Parameters

`expression`

  Type: `GtkExpression`

  A `GtkExpression`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.